net.sf.jasperreports.swing

## Class JRViewerPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - net.sf.jasperreports.swing.JRViewerPanel

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, JRViewerListener, JRHyperlinkListener

      public class JRViewerPanel
      extends javax.swing.JPanel
      implements JRHyperlinkListener, JRViewerListener

  Version:
    $Id: JRViewerPanel.java 6805 2014-01-10 12:42:19Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `JRViewerPanel.ImageMapPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.event.KeyListener` | `keyNavigationListener`
    `protected float` | `realZoom` the zoom ratio adjusted to the screen resolution.
    `static int` | `REPORT_RESOLUTION` The DPI of the generated report.

    - ### Fields inherited from class javax.swing.JComponent

      `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRViewerPanel(JRViewerController viewerContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHyperlinkListener(JRHyperlinkListener listener)`
    `protected void` | `createHyperlinks()`
    `protected void` | `createHyperlinks(java.util.List<JRPrintElement> elements, int offsetX, int offsetY)`
    `protected void` | `dnNavigate(java.awt.event.KeyEvent evt)`
    `protected void` | `drawPageError(java.awt.Graphics grx)`
    `protected void` | `fitPage()`
    `protected void` | `fitWidth()`
    `protected java.lang.String` | `getFallbackTooltip(JRPrintHyperlink hyperlink)`
    `protected JRGraphics2DExporter` | `getGraphics2DExporter()`
    `JRHyperlinkListener[]` | `getHyperlinkListeners()`
    `protected java.lang.String` | `getHyperlinkTooltip(JRPrintHyperlink hyperlink)`
    `java.awt.event.KeyListener` | `getKeyNavigationListener()`
    `protected float` | `getPageCanvasHeight()`
    `protected float` | `getPageCanvasWidth()`
    `protected java.awt.Image` | `getPageErrorImage()`
    `void` | `gotoHyperlink(JRPrintHyperlink hyperlink)`
    `protected void` | `homeEndNavigate(int pageNumber)`
    `protected void` | `hyperlinkClicked(JRPrintHyperlink hyperlink)`
    `protected boolean` | `isOnlyHyperlinkListener()`
    `protected void` | `keyNavigate(java.awt.event.KeyEvent evt)`
    `protected void` | `pageChanged()`
    `protected void` | `paintPage(java.awt.Graphics2D grx)`
    `protected void` | `paintPageError(java.awt.Graphics2D grx)`
    `protected void` | `refreshPage()`
    `void` | `removeHyperlinkListener(JRHyperlinkListener listener)`
    `void` | `setFitPageZoomRatio()`
    `void` | `setFitWidthZoomRatio()`
    `protected void` | `setPageImage()`
    `protected void` | `setRealZoomRatio(float newZoom)`
    `protected void` | `setScreenDetails()`
    `protected void` | `upNavigate(java.awt.event.KeyEvent evt)`
    `void` | `viewerEvent(JRViewerEvent event)`
    `protected void` | `zoomChanged()`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REPORT_RESOLUTION

          public static final int REPORT_RESOLUTION

      The DPI of the generated report.
      See Also:
        Constant Field Values

    - #### realZoom

          protected float realZoom

      the zoom ratio adjusted to the screen resolution.

    - #### keyNavigationListener

          protected java.awt.event.KeyListener keyNavigationListener

  - ### Constructor Detail

    - #### JRViewerPanel

          public JRViewerPanel(JRViewerController viewerContext)

  - ### Method Detail

    - #### getKeyNavigationListener

          public java.awt.event.KeyListener getKeyNavigationListener()

    - #### setScreenDetails

          protected void setScreenDetails()

    - #### addHyperlinkListener

          public void addHyperlinkListener(JRHyperlinkListener listener)

    - #### removeHyperlinkListener

          public void removeHyperlinkListener(JRHyperlinkListener listener)

    - #### getHyperlinkListeners

          public JRHyperlinkListener[] getHyperlinkListeners()

    - #### gotoHyperlink

          public void gotoHyperlink(JRPrintHyperlink hyperlink)

      Specified by:
        `gotoHyperlink` in interface `JRHyperlinkListener`

    - #### isOnlyHyperlinkListener

          protected boolean isOnlyHyperlinkListener()

    - #### paintPage

          protected void paintPage(java.awt.Graphics2D grx)

    - #### getGraphics2DExporter

          protected JRGraphics2DExporter getGraphics2DExporter()
                                                        throws JRException

      Throws:
        `JRException`

    - #### paintPageError

          protected void paintPageError(java.awt.Graphics2D grx)

    - #### drawPageError

          protected void drawPageError(java.awt.Graphics grx)

    - #### fitPage

          protected void fitPage()

    - #### fitWidth

          protected void fitWidth()

    - #### getPageCanvasWidth

          protected float getPageCanvasWidth()

    - #### getPageCanvasHeight

          protected float getPageCanvasHeight()

    - #### pageChanged

          protected void pageChanged()

    - #### refreshPage

          protected void refreshPage()

    - #### setPageImage

          protected void setPageImage()

    - #### getPageErrorImage

          protected java.awt.Image getPageErrorImage()

    - #### zoomChanged

          protected void zoomChanged()

    - #### createHyperlinks

          protected void createHyperlinks()

    - #### createHyperlinks

          protected void createHyperlinks(java.util.List<JRPrintElement> elements,
                              int offsetX,
                              int offsetY)

    - #### getHyperlinkTooltip

          protected java.lang.String getHyperlinkTooltip(JRPrintHyperlink hyperlink)

    - #### getFallbackTooltip

          protected java.lang.String getFallbackTooltip(JRPrintHyperlink hyperlink)

    - #### hyperlinkClicked

          protected void hyperlinkClicked(JRPrintHyperlink hyperlink)

    - #### setRealZoomRatio

          protected void setRealZoomRatio(float newZoom)

    - #### setFitWidthZoomRatio

          public void setFitWidthZoomRatio()

    - #### setFitPageZoomRatio

          public void setFitPageZoomRatio()

    - #### keyNavigate

          protected void keyNavigate(java.awt.event.KeyEvent evt)

    - #### dnNavigate

          protected void dnNavigate(java.awt.event.KeyEvent evt)

    - #### upNavigate

          protected void upNavigate(java.awt.event.KeyEvent evt)

    - #### homeEndNavigate

          protected void homeEndNavigate(int pageNumber)

    - #### viewerEvent

          public void viewerEvent(JRViewerEvent event)

      Specified by:
        `viewerEvent` in interface `JRViewerListener`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com